Page MenuHomePhabricator

[Task] Replace bogus $ anchor in regular expressions with \z
Closed, ResolvedPublic

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 21 2016, 3:50 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald Transcript

Change 284724 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix and test for newline injection vector

https://gerrit.wikimedia.org/r/284724

thiemowmde updated the task description. (Show Details)Apr 21 2016, 4:50 PM

Change 284729 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix newline injection vector in UrlSchemeValidators

https://gerrit.wikimedia.org/r/284729

thiemowmde updated the task description. (Show Details)Apr 21 2016, 5:09 PM

Change 284724 merged by jenkins-bot:
Fix and test for newline injection vector

https://gerrit.wikimedia.org/r/284724

thiemowmde updated the task description. (Show Details)Apr 22 2016, 9:26 PM
thiemowmde triaged this task as Normal priority.Apr 25 2016, 8:55 AM
thiemowmde updated the task description. (Show Details)

Change 284729 merged by jenkins-bot:
Fix newline injection vector in UrlSchemeValidators

https://gerrit.wikimedia.org/r/284729

adrianheine updated the task description. (Show Details)Apr 27 2016, 8:44 AM
adrianheine added a subscriber: adrianheine.

WikibaseDataModelServices needs a release, then this is done.

Change 286813 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix newline injection vector in MediaInfoId validation

https://gerrit.wikimedia.org/r/286813

Change 286813 merged by jenkins-bot:
Fix newline injection vector in MediaInfoId validation

https://gerrit.wikimedia.org/r/286813

adrianheine closed this task as Resolved.May 9 2016, 10:26 AM
adrianheine moved this task from Doing to Done on the Wikidata-Sprint-2016-04-26 board.